#![cfg_attr(
    all(not(debug_assertions), target_os = "windows"),
    windows_subsystem = "windows"
)]

use sysinfo::{DiskExt, System, SystemExt};

fn main() {
    let s = System::new_all();
    for disk in s.disks() {
        println!("{:?}: {:?}", disk.name(), disk.type_());
    }

    tauri::Builder::default()
        .run(tauri::generate_context!())
        .expect("error while running tauri application");
}
